#pragma once

#include "INode.h"

class SWF_API node_view
{
    /*
     * @brief 节点视图类
     * @note  不管理节点对象的生命周期
     */
    WF::INode* m_node;
public:
    node_view(WF::INode* node) : m_node(node) {}
    ~node_view() = default;

    // 获取节点类型
    NodeType GetNodeType() const noexcept;
};