#pragma once

/////////////////////////////////////////////////////
// @file: INode.h
// @brief: Interface for the Node class
// @author: dyz
// @date: 2025-04-19
// @version: 1.0
/////////////////////////////////////////////////////

#include "SWFInc.h"
#include "SWFDefine.h"

namespace WF
{
    class SWF_API INode
    {
    public:
        // 执行节点的操作
        virtual void exec() = 0;
        virtual INode* clone() const = 0;
        virtual NodeType GetNodeType() const = 0;
        virtual ~INode() = default;
    };

} // namespace WF